@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Pacifico&display=swap');

body {
    font-family: Roboto, sans-serif;
    margin: 0;
    background-color: #c67ace;

}

.jumbotron {
    font-family: Pacifico, sans-serif;
    font-size: 28px;
    padding: 24px;
    background-color: #d8f8b7;
    text-align: center;
    color: white;
    border-style: full;
    text-shadow: 4px 4px 12px #ce1f6a;
   /* background-image: url(../image/notes.jpg);*/
    background-image: linear-gradient(rgba(0, 0, 0, 0.527),rgba(0, 0, 0, 0.5)) , url(../image/notes.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
 }

 .quote{
    font-family: Quicksand, sans-serif;
    font-size: 20px;
    text-align: center;
    color: white;
 }


 .topnav {
    overflow: hidden;
    background-color: #333;
  }
  
  .topnav a {
    float: left;
    display: block;
    color: #f2f2f2;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
  }
  .active {
    background-color: orange;
    color: white;
  }

  .topnav a:hover {
    background-color: #555;
    color: white;
  }
  .topnav .icon {
    display: none;
  }


h2, h3 {
    color: #00a2c6
}

footer {
    clear: both;
    position:absolute;
    bottom:0;
    width:100%;
    top:100%;
    color: white;
    background-color: #ce1f6a;
    text-align: center;
    font-weight: bold;
    height:100px;
}



.profile header{
    text-align: center;
}

.featured-image {
    cursor: pointer;
    transition: 0.3s;
    width: 60%;
    max-height: 300px;
    object-fit: cover;
    object-position: center;
    display: block;
    margin-left: auto;
    margin-right: auto;
 }

 .profile img {
     width: 150px;
     height: 150px;
     border-radius: 50%;
     object-position:center;
     object-fit: cover;
 }

 .card {
    display: flex;
    flex-direction: column;
    box-shadow: 4px 4px 12px #ce1f6a ;
    border-radius: 5px;
    padding: 10px;
    margin-top: 20px;
    background-color: #d8f8b7;
 }
 .postcard {
    box-shadow: 4px 4px 12px #ce1f6a ;
    border-radius: 5px;
    padding: 20px;
    margin-left: 40px;
    margin-right: 40px;
    margin-bottom: 20px;
    background-color: #d8f8b7;
 }
 aside{
     float: right;
     width : 25%;
     padding-left: 10px;
 }

#content {
    float: left;
    width :75%;
}

main {
    padding: 20px;
    overflow: auto;
    
 }

 * {
    box-sizing: border-box;
 }

 @media screen and (max-width: 800px) {
    #content,
    aside {
        width: 100%;
        padding: 0;
    }
    .foods {
        flex-direction: column;
    }
 }

 header {
    display: inline;
 }

 .tableprofile {
     text-align: left;
     font-size: small;
     margin: 10px;
 }

 .tableprofile td{
    padding-left: 20px;
 }


.foods { 
        display: flex;
}

.food{
              /* properti lainnya */
              flex-grow: 1;
              background-color: #FBDD1C;
              margin: 5px;
              padding: 10px;
              border: 2px solid black;
              border-radius: 10px;
              text-align: center;
}

.food img{
    display: block;
    width: 100px;
    heigh: 100px;
    object-position: center;
    margin-left: auto;
    margin-right: auto;
 }
}

.postcard + h3 {
    text-align: right;
}

 .featured-image:hover {opacity: 0.7;}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}

/* Modal Content (Image) */
.modal-content {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 800px;
}

/* Caption of Modal Image (Image Text) - Same Width as the Image */
#caption {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 800px;
  text-align: center;
  color: #ccc;
  padding: 10px 0;
  height: 150px;
}

/* Add Animation - Zoom in the Modal */
.modal-content, #caption {
  animation-name: zoom;
  animation-duration: 0.6s;
}

@keyframes zoom {
  from {transform:scale(0)}
  to {transform:scale(1)}
}

/* The Close Button */
.close {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}

.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 800px){
  .modal-content {
    width: 100%;
  }
}

@media screen and (max-width: 800px) {
    .topnav a:not(:first-child) {
      display: none;
    }
    .topnav a.icon {
      float: right;
      display: block;
    }
  }
  
  @media screen and (max-width: 800px) {
    .topnav.responsive {position: relative;}
    .topnav.responsive .icon {
      position: absolute;
      right: 0;
      top: 0;
    }
    .topnav.responsive a {
      float: none;
      display: block;
      text-align: left;
    }
  }